use eiktyrner::{self, HttpClient};
use http::{method::Method, uri::PathAndQuery, Request, Uri};

fn main() {
    let client: eiktyrner::HttpsClient = eiktyrner::HttpsClient::new();
    let base_url = "https://localhost:8080";

    let req = http::Request::builder()
        .method(Method::GET)
        .uri(&format!("{}/{}", base_url, "/somethingelse"));
}

fn new_uri(path_and_query: PathAndQuery) -> Uri {
    Uri::builder()
        .scheme("https")
        .authority("api.billecta.com")
        .path_and_query(path_and_query)
        .build()
        .unwrap()
}
